# IBB-Repeat-Offender configuration file
#
# Author: Tom Hendrikx, minor modifications by Amir Caspi
# See http://whyscream.net/wiki/index.php/Fail2ban_monitoring_Fail2ban
# Renamed by IBBoard for consistency
#
# $Revision: 1 $
#

[Definition]

# Option: failregex
# Notes.: regex to match the password failures messages in the logfile. The
#          host must be matched by a group named "host". The tag "<HOST>" can
#          be used for standard IP/hostname matching and is only an alias for
#          (?:::f{4,6}:)?(?P<host>[\w\-.^_]+)
# Values: TEXT
#
failregex = WARNING\s+\[(?:.*)\]\s+Ban\s+<HOST>
            INFO\s+\[(?:.*)\]\s+<HOST> already banned

# Option:  ignoreregex
# Notes.:  regex to ignore. If this regex matches, the line is ignored.
# Values:  TEXT
#
ignoreregex = fail2ban.actions:\s+WARNING\s+\[(ibb-repeat-offender|[^\]]+warning)\]\s+Ban\s+<HOST>
